Quassel IRC - Bug #593

Excess flood with a super-long line
03/03/2009 01:53 PM - Sputnick

Status: Resolved Start date: 03/03/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.4.0 0S: Any

Description

Pasting a really long line seems to be able to flood the client off Freenode. Shouldn't happen, in particular it seems to be strange that
nothing arrived on the other side.

Pasted was this:

Transferring Backlog... ******
Done.

History

#1 - 06/08/2009 03:50 PM - Ycros
According to the IRC RFC 2812 the maximum total line length of an IRC command cannot exceed 512, this includes the CRLF.

What | suspect is going on is that Quassel is just trying to send the whole line. It's possible some ircds will accept this, but many won't. On Freenode,
it seems to boot you off with an excess flood error. What needs to happen, is the core needs to figure out the maximum length based on the IRC
command it's sending, and split the message segment of the command over multiple commands.

#2 - 02/29/2012 06:21 PM - Anonymous

- Status changed from New to Resolved

Quassel properly splits messages and throttles, so excess floods aren't caused by quassel anymore.
